{
  stdenvNoCC,
  fetchurl,
  unzip,
  version,
}:
stdenvNoCC.mkDerivation {
  pname = "neofox";
  version = version.version;

  src = fetchurl {
    url = "https://volpeon.ink/emojis/neofox/neofox.zip";
    hash = version.hash;
  };

  nativeBuildInputs = [unzip];

  installPhase = ''
    runHook preInstall

    mkdir -p $out
    cp *.png $out

    runHook postInstall
  '';
}
