{lib, ...}: let
  mkVersion = version:
    lib.mkOption {
      type = lib.types.str;
      default = version;
    };
in {
  options = {
    versions = {
      rosepine-cursor = {
        version = mkVersion "1.0.1";
        hash = mkVersion "sha256-t5xwAPGhuQUfGThedLsmtZEEp1Ljjo3Udhd5Ql3O67c=";
      };
      neocat = {
        version = mkVersion "2023.08.10";
        hash = mkVersion "sha256-tcyeYfBEi3vahrCQrQOaXXvz/jdHYS8d/bdt4jFSrCo=";
      };
      neofox = {
        version = mkVersion "2023.06.30";
        hash = mkVersion "sha256-zwc8B+DjzO9RI51yIi/jnASA4jN4noNKkIdANApSslA=";
      };
      blobfox = {
        version = mkVersion "2020.09.04";
        hash = mkVersion "sha256-b+mSyEdVjXldW/UQJaWy2cn0aF/NAd/RBRoW/K0v2bY=";
      };
      iceshrimp = {
        version = mkVersion "2025.1-beta5.patch2.security1";
        hash = mkVersion "sha256-Uwstie81M3kM9CjukIG+wXpxp91uTuXFMB/fZlFWsMk=";
      };
    };
  };
}
